The BOOST_PP_INC macro expands to one more than its argument.

#### Usage

BOOST_PP_INC(x)

#### Arguments

x
  The value to be incremented. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is BOOST_PP_LIMIT_MAG, the result is saturated to BOOST_PP_LIMIT_MAG.

#### See Also

- BOOST_PP_DEC
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/arithmetic/inc.hpp>

#### Sample Code

    #include <boost/preprocessor/arithmetic/inc.hpp>

    BOOST_PP_INC(BOOST_PP_INC(6)) // expands to 8
    BOOST_PP_INC(4) // expands to 5